Subject: Re: linux-next: manual merge of the tip tree with Linus' tree

From: Ingo Molnar <[email-masked]>
Date: Mon, 2 Sep 2019 20:07:16 +0200

* Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   tools/power/x86/turbostat/turbostat.c
> 
> between commit:
> 
>   cd188af5282d ("tools/power turbostat: Fix Haswell Core systems")
>   b62b3184576b ("tools/power turbostat: add Jacobsville support")
>   d93ea567fc4e ("tools/power turbostat: Add Ice Lake NNPI support")
> 
> from Linus' tree and commit:
> 
>   c66f78a6de4d ("x86/intel: Aggregate big core client naming")
>   af239c44e3f9 ("x86/intel: Aggregate big core mobile naming")
>   5e741407eab7 ("x86/intel: Aggregate big core graphics naming")
>   5ebb34edbefa ("x86/intel: Aggregate microserver naming")
> 
> from the tip tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks Stephen - I resolved this in -tip too, this conflict should not 
trigger anymore in tomorrow's -next integration.

Thanks,

	Ingo